Package com.sas.lsaf.execution.job

## Enum JobSubmission.JobSubmissionType

- java.lang.Object
- - java.lang.Enum<JobSubmission.JobSubmissionType>
  - - com.sas.lsaf.execution.job.JobSubmission.JobSubmissionType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<JobSubmission.JobSubmissionType>`
  Enclosing class:
    JobSubmission

      public static enum JobSubmission.JobSubmissionType
      extends java.lang.Enum<JobSubmission.JobSubmissionType>

  The types of job submissions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `REPOSITORY` | The job was submitted from the repository.
    `WORKSPACE` | The job was submitted from the current user's workspace.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JobSubmission.JobSubmissionType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static JobSubmission.JobSubmissionType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WORKSPACE

          public static final JobSubmission.JobSubmissionType WORKSPACE

      The job was submitted from the current user's workspace.

    - #### REPOSITORY

          public static final JobSubmission.JobSubmissionType REPOSITORY

      The job was submitted from the repository.

  - ### Method Detail

    - #### values

          public static JobSubmission.JobSubmissionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JobSubmission.JobSubmissionType c : JobSubmission.JobSubmissionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JobSubmission.JobSubmissionType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null